<?php
namespace FiloBlu\ExtAmastyGeoipRedirect\Model\CountryContinent\Source;

class Continent implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * @var \FiloBlu\Storelocator\Model\Stores
     */
    protected $continent;

    /**
     * Constructor
     *
     * @param \FiloBlu\Storelocator\Model\Stores $store
     */
    public function __construct(\FiloBlu\ExtAmastyGeoipRedirect\Model\Continent $continent)
    {
        $this->continent = $continent;
    }

    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        $options[] = array();
        
        $availableOptions = $this->continent->getAvailableContinent();

        foreach ($availableOptions as $value) {
            $options[] = [
                'label' => $value["continent"],
                'value' => $value["continent_id"],
            ];
        }
        return $options;
    }
}